Subject: [bug#28398] Xfburn

From: "Thomas Schmitt" <[email-masked]>
Date: Sun, 01 Oct 2017 10:34:23 +0200

Hi,

i'm the current developer of libburn and libisof.
Please Cc me with replies.

Be invited to re-use the descriptions of the Debian packages:

 Package: libburn4
 Description: library to provide CD/DVD writing functions
  libburn is a library for reading, mastering and writing optical discs.
  Supported media are: CD-R, CD-RW, DVD-RAM, DVD+RW, DVD+R, DVD+R/DL,
  DVD-RW, DVD-R, DVD-R/DL, BD-R, BD-RE.

 Package: libisofs6
 Description: library to create ISO 9660 images
  libisofs creates ISO 9660 (aka ECMA-119) filesystem images which can either
  be written to POSIX file objects or handed over to libburn for being written
  directly to optical media.
  It can read metadata of ISO 9660 filesystems, manipulate them, and use them
  to produce new complete filesystem images or add-on images to be appended
  to the read filesystem image.
  Supported extensions to ISO 9660 are Rock Ridge, Joliet, AAIP, zisofs.

Well, the synopsis of libburn could need a "/BD" added to "CD/DVD".

The current cdrskin description of Debian is too technical and too historical.
I will change it to:

 Package: cdrskin
 Description: command line CD/DVD/BD writing tool
  cdrskin strives to be a second source for the services traditionally
  provided by cdrecord. It writes data sessions to CD, DVD, or BD media.
  To CD media it may also write audio sessions.
  Multi-session is possible on all media types except DVD-R DL and
  fastly blanked DVD-RW.
  .
  This is a burner-only application. If you want a burner and ISO 9660 image
  manipulation application, please install the xorriso package.

ng0 wrote:
> Tbh I took this 1:1 from upstream. They don't really provide a good
> insight into what's what as far as I remember.

Hrm, yes, the wiki pages are too verbous for the purpose of a package
description.

> It is hard for me to take https://dev.lovelyhq.com/libburnia/web/wikis/home
> and the descriptions linked in there and to decide what is useful.

Just ask your friendly upstream. :))

Christopher Baines wrote:
> I don't get the cdrecord reference at the end.

It's historic. 10 years ago, the world was full of cdrecord forks.
The author of cdrecord accused the forkers of stealing his work.
cdrskin is not a fork but rather an emulation. I stole only the
option names and their help text lines.

Have a nice day :)

Thomas